clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange Struct Reference
Collaboration diagram for llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange:
[legend]

## Public Member Functions
| NormalizedRange (const IO &)
| NormalizedRange (const IO &, const tooling::Range &R)
tooling::Range | denormalize (const IO &)

## Public Attributes
unsigned | Offset
unsigned | Length

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange

Definition at line 37 of file ClangIncludeFixer.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedRange() [1/2]

llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange::NormalizedRange | ( | const IO & |  | ) |
| inline

Definition at line 38 of file ClangIncludeFixer.cpp.

## ◆ NormalizedRange() [2/2]

llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange::NormalizedRange | ( | const IO & | ,
|  | const tooling::Range & | R
| ) |  |
| inline

Definition at line 40 of file ClangIncludeFixer.cpp.

## Member Function Documentation

## ◆ denormalize()

tooling::Range llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange::denormalize | ( | const IO & |  | ) |
| inline

Definition at line 43 of file ClangIncludeFixer.cpp.

References Length, Offset, and Range.

## Member Data Documentation

## ◆ Length

unsigned llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange::Length

Definition at line 48 of file ClangIncludeFixer.cpp.

## ◆ Offset

unsigned llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange::Offset

Definition at line 47 of file ClangIncludeFixer.cpp.

The documentation for this struct was generated from the following file:

- ClangIncludeFixer.cpp